Skip to main content
GET
/
dev
/
v1
/
products
/
{id}
/
stock-movements
List product stock movements
curl --request GET \
  --url https://api.shoppex.io/dev/v1/products/{id}/stock-movements \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "serial_1",
      "type": "restock",
      "quantity": 1,
      "variant_id": null,
      "reference_id": "serial_1",
      "reference_type": "serial",
      "occurred_at": "2026-03-16T10:00:00.000Z",
      "details": {
        "serial_id": "serial_1",
        "serial_status": "in_stock"
      }
    },
    {
      "id": "line_item_1",
      "type": "sale",
      "quantity": -1,
      "variant_id": null,
      "reference_id": "019db132-7a47-7ad0-900c-975f4cc4a874",
      "reference_type": "invoice",
      "occurred_at": "2026-03-15T10:00:00.000Z",
      "details": {
        "invoice_status": "COMPLETED"
      }
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Query Parameters

cursor
string
limit
string
variant_id
string

Response

200 - application/json

Successful response

data
object